New: use Extruct search and tables from Claude, Codex, and more with the remote MCP server.
New: use Extruct search and tables from Claude, Codex, and more with the remote MCP server.
Delete rows by ID.
curl --request DELETE \
--url https://api.extruct.ai/v1/tables/{table_id}/rows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rows": [
"11111111-1111-1111-1111-111111111111",
"22222222-2222-2222-2222-222222222222"
]
}
'[
"<string>"
]Documentation Index
Fetch the complete documentation index at: https://docs.extruct.ai/llms.txt
Use this file to discover all available pages before exploring further.
rows.
Use it when you want to clean up bad inputs, remove duplicates, or drop rows you no longer want to run or keep.
export EXTRUCT_API_TOKEN="YOUR_API_TOKEN"
export TABLE_ID="YOUR_TABLE_ID"
curl -X DELETE "https://api.extruct.ai/v1/tables/${TABLE_ID}/rows" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${EXTRUCT_API_TOKEN}" \
-d '{
"rows": [
"11111111-1111-1111-1111-111111111111",
"22222222-2222-2222-2222-222222222222"
]
}'
table_id (required): target table identifier.rows (required): array of row IDs to delete.401 UnauthorizedAuthorization: Bearer ${EXTRUCT_API_TOKEN}.
404 Not Found422 Unprocessable Entityrows, malformed JSON, or invalid row ID values.
curl --request DELETE \
--url https://api.extruct.ai/v1/tables/{table_id}/rows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rows": [
"11111111-1111-1111-1111-111111111111",
"22222222-2222-2222-2222-222222222222"
]
}
'[
"<string>"
]